.TH TRYTOND-ADMIN 1 "2021\-10\-17" "6.0" "Tryton Application Platform"
.SH NAME
trytond-admin \- Tryton Application Platform (Database Administration)
.SH SYNOPSIS
\fBtrytond-admin\fR
.SH DESCRIPTION
Tryton is a high-level general purpose application platform written in Python and using PostgreSQL as database engine. It is the core base of an ERP.
.sp
This script is used for the administration tasks of the server.
.SH OPTIONS
Usage: trytond-admin [options]
.PP
.PD 0
.TP 20
.BI \--version
show program's version number and exit
.TP
.B \-h, --help
show this help message and exit
.TP
.B \-c FILE [FILE ...], --config FILE [FILE ...]
specify configuration files
.TP
.B \--dev
enable development mode (caching disabled)
.TP
.B \-v, --verbose
enable verbose mode
.TP
.B \-d DATABASE [DATABASE ...], --database DATABASE [DATABASE ...]
specify the database name
.TP
.B \--logconf FILE
logging configuration file (ConfigParser format)
.TP
.B \-u MODULE [MODULE ...], --update MODULE [MODULE ...]
activate or update a module
.TP
.B \--all
update all activated modules
.TP
.B \--activate-dependencies
activate missing dependencies of updated modules
.TP
.B \--email EMAIL
set the admin email
.TP
.B \-p, --password
set the database admin password
.TP
.B \--reset-password
reset the admin password
.TP
.B \--test-email TEST_EMAIL
send a test email to the specified address
.TP
.B \-m, --update-modules-list
update the list of the available tryton modules
.TP
.B \-l CODE [CODE ...], --language CODE [CODE ...]
load the translations for the configured language code(s) into the database
.TP
.B \--hostname HOSTNAME
Limit the database listing to the hostname
.TP
.B \--validate [MODEL ...]
validate the records of specified models
.TP
.B \--validate-percentage PERCENTAGE
the percentage of records to validate (default: 100)
.br
The first time a database is initialized the admin password is read from
a file defined by the TRYTONPASSFILE environment variable or interactively asked from the user.
.br
The config file can be specified in the TRYTOND_CONFIG environment variable.
.br
The database URI can be specified in the TRYTOND_DATABASE_URI environment variable.
.sp
.SH FILES
\fB/etc/tryton/trytond.conf\fR,
\fB/etc/tryton/trytond_log.conf\fR
.sp
.SH SEE ALSO
\fItrytond\fR(1),
\fItrytond-console\fR(1),
\fItrytond-cron\fR(1),
\fItrytond-stat\fR(1),
\fItrytond-worker\fR(1),
\fItryton\fR(1)
.sp
.SH HOMEPAGE
More information the Tryton project can be found at <\fIhttp://www.tryton.org/\fR>.
.sp
.SH AUTHOR
Tryton server was written by the Tryton project <\fIhttp://www.tryton.org/\fR>.
.PP
This manual page was written by Daniel Baumann <\fIdaniel@debian.org\fR> and Mathias Behrle <\fImbehrle@debian.org\fR>.

